<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>bigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">&lt;&lt; bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="bigint2latex.html">bigint2latex &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a> &gt; bigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">bigint</h1>
    <p class="refpurpose">bigint basics</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x:</span>
            <dd><p class="para">bigint</p></dd></dt>
        <dt><span class="term">str:</span>
            <dd><p class="para">string</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">create a &#0034;big integer&#0034; from its decimal representation. A bigint is a tlist with two fields</p>
   <p class="para"></p>
   <p class="para">rep : a nx1 matrix such that rep(k) is a 7 digits integer (ie in the interval [0,10^7[)
signe = +1 ou -1
str is the decimal represention of  <span><img src='./_LaTeX_bigint.xml_1.png' style='position:relative;top:7px;width:238px;height:23px'/></span></p>
   <p class="para"></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//a 10 digit integer</span>
<span class="scilabid">bigint</span> <span class="scilabnumber">1234567890987654321</span> <span class="scilabcomment">// big int stored in ans</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">ans</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">-1234567890987654321</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// use quote syntax for strings</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">00000000000000000</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span> <span class="scilabcomment">//=0</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">-0</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// =0</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">123456789</span><span class="scilabopenclose">)</span>  <span class="scilabcomment">// double</span><span class="scilabcomment">&#0060;</span><span class="scilabcomment">10^16 or uint* to bigint convertion</span>
<span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilaboperator">-</span><span class="scilabnumber">123456789987654321</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// probable rounding error</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mbigint.html" class="link">mbigint</a></li>
   <li class="member"><a href="contribute.html" class="link">contribute</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">&lt;&lt; bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="bigint2latex.html">bigint2latex &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
